Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7955 - installation - 3com 3c509b nic not detected
Summary: installation - 3com 3c509b nic not detected
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-22 23:55 UTC by randy
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-22 20:05:00 UTC


Attachments (Terms of Use)

Description randy 1999-12-22 23:55:28 UTC
3c509b is not detected. the installation does not ask if the box will be on
a network either. installation does proceed normally. after running
linuxconf, the nic is still not available to the os. rh 5.2, mandrake
6.0,caldera 2.2, and ibm pc dos 2000(7.x) nic detection/manual entry
and usage does work on the box with this card. since this is our standard
nic for our company, i need a work around (driver, etc) that is supported
by rh-rtp. several around work are waiting for this before purchasing 6.1.
the nic is set to dos and not for windows pnp.

Comment 1 Greg Newby 2000-01-21 16:04:59 UTC
The answer is in #7088.  For According to jturner, these older ISA NICs are not
aggressively recognized in RH 6.1 (even though this same card was recognized in
prior versions through 6.0).

The workaround I used was a bit awkward.  First, add kernel support for your
card with "insmod 3c509".  Then, run "netconfig" to provide configuration
information.  You might also need to edit /etc/resolv.conf (additional name
servers, search domain...) and /etc/sysconfig/network-scripts/ifcfg-eth0
(especially to add GATEWAY info).  This should get the NIC working properly.

HOWEVER, the problem I had was getting the 3c509 support added at boot time.
Eventually, I gave up on finding the right way, and edited
/etc/rc.d/init.d/network  and added the "insmod 3c509" (with path, I think it's
/sbin) in the "start)" section of the script.  (You can't put it in rc.local,
because that's run AFTER /etc/rc.d/init.d/network during a normal boot).


Note You need to log in before you can comment on or make changes to this bug.